.load './libsqlitemd5.so'
.load './libsqliteversioning.so'

CREATE TABLE sessions (
    key text not null,
    value text not null
);
select versioning_create('sessions'); --  create versioning tables
.schema

-- local mode, replication is not active
select versioning('md5','sessions'); -- create versioning triggers for initiator name 'local' (local node)
.schema

insert into sessions (key,value) values ('test key 0','test value 0');
insert into sessions (key,value) values ('test key 1','test value 1');
insert into sessions (key,value) values ('test key 2','test value 2');


-- replicate to other host by send only local actions
-- outer script

-- replication is active from host "other"
select versioning('md5','sessions','other'); -- create versioning triggers for initiator name 'other'
.schema
-- outer script may modify records by these md5 hash
-- script may disable all triggers exclude versioning triggers
-- tables with non-unique records may produce conflicts - 
-- please use PRIMARY KEY (master-slave) or UUID() function (multi-master) for generate unique ID
-- the "replace" conflict resolution algorithm for SOURCE table may produce errors - tickets 3964, 3982

-- local mode, replication is not active
select versioning('md5','sessions'); -- create versioning triggers for initiator name 'local' (local node)
.schema

--select versioning_drop('sessions'); -- do not work - ticket 4001
--.schema
